import tkinter as tk
import random

class MyApp(tk.Frame):
    def __init__(self, rootWindow, title=""):
        self.root = rootWindow
        tk.Frame.__init__(self, self.root)
        self.root.title( title )
        self.theColors = ['red', "yellow", "white", "blue", "lightblue", "lightgreen"]
        for _i in range(20):
            tk.Label(self, text = "καλή σας μέρα", font = "arial 30", bg=self.randomColor()).pack(fill="both", expand=1)
        # 
        self.root.bind("<1>", self.onClick)
    def randomColor(self):
        r = lambda : random.randint(000,255)
        return "#{:02X}{:02X}{:02X}".format(r(),r(),r())
    def onClick(self, event):
        print(event.x, event.y)

w = tk.Tk()
MyApp(w, title="mywindow").pack(fill="both", expand=True)
w.mainloop()