import tkinter as tk
import datetime
import random
from tkinter import simpledialog

# το πρώτο μου γραφικό πρόγραμμα
class MyApp():
    def __init__(self, w):
        self.w = w
        self.w.title("1ο πρόγραμμα")
        self.w.resizable(False, False)
        self.createGreeding() # δημιουργεί το μήνυμα ανάλογα με την ώρα
        self.drawWidgets() # ζωγραφίζει το μήνυμα (Label)
        
    def drawWidgets(self):
        colors = ["red", "cyan", "blue", "yellow", "lightblue"]
        self.mybutton = tk.Button(self.w, text = "όνομα;", font = "arial 40", \
                                  command = self.clicked)
        self.mybutton.pack(fill = "both", expand = True, side='left', padx=10, pady=10)
        self.exit = tk.Button(self.w, text = 'x', fg='red', font = "arial 40", background='yellow',
        command = self.w.destroy)
        self.exit.pack(fill='both', expand=1, side='left', padx=10, pady=10)
        self.mylabel = tk.Label(self.w, text = self.message, font="arial 40", \
                                bg=random.choice(colors))
        self.mylabel.pack(fill = "both", expand = True, padx=10, pady=10)
        
    def clicked(self):
        reply = simpledialog.askstring('όνομα', 'Πώς σε λένε;')
        self.mylabel.configure(text = self.message + " " + reply)
        print("button clicked")
        
    def createGreeding(self):
        time = str(datetime.datetime.now()).split()[1].split(":")[0]
        print("η ώρα είναι", str(datetime.datetime.now()), time)
        if int(time) < 12: self.message = "καλημέρα"
        else: self.message = "καλησπέρα"
        


## main program
w = tk.Tk() # η πρώτη εντολή δημιουργίας του παράθυρου
MyApp(w)
w.mainloop() # η τελευταία εντολή: βρόχος γεγονότων











